### Enumeration

# GdkModifierType

#### Declaration

    flags Gdk.ModifierType

#### Description [src]

Flags to indicate the state of modifier keys and mouse buttons in events.

Typical modifier keys are Shift, Control, Meta, Super, Hyper, Alt, Compose, Apple, CapsLock or ShiftLock.

Note that GDK may add internal values to events which include values outside of this enumeration. Your code should preserve and ignore them. You can use `GDK_MODIFIER_MASK` to remove all private values.

#### Members

`GDK_NO_MODIFIER_MASK`

  No modifier.

  - Value: `0`
  - Nickname: `no-modifier-mask`
  - Available since: 4.14
`GDK_SHIFT_MASK`

  The Shift key.

  - Value: `1`
  - Nickname: `shift-mask`
  - Available since: 4.0
`GDK_LOCK_MASK`

  A Lock key (depending on the modifier mapping of the X server this may either be CapsLock or ShiftLock).

  - Value: `2`
  - Nickname: `lock-mask`
  - Available since: 4.0
`GDK_CONTROL_MASK`

  The Control key.

  - Value: `4`
  - Nickname: `control-mask`
  - Available since: 4.0
`GDK_ALT_MASK`

  The fourth modifier key (it depends on the modifier mapping of the X server which key is interpreted as this modifier, but normally it is the Alt key).

  - Value: `8`
  - Nickname: `alt-mask`
  - Available since: 4.0
`GDK_BUTTON1_MASK`

  The first mouse button.

  - Value: `256`
  - Nickname: `button1-mask`
  - Available since: 4.0
`GDK_BUTTON2_MASK`

  The second mouse button.

  - Value: `512`
  - Nickname: `button2-mask`
  - Available since: 4.0
`GDK_BUTTON3_MASK`

  The third mouse button.

  - Value: `1024`
  - Nickname: `button3-mask`
  - Available since: 4.0
`GDK_BUTTON4_MASK`

  The fourth mouse button.

  - Value: `2048`
  - Nickname: `button4-mask`
  - Available since: 4.0
`GDK_BUTTON5_MASK`

  The fifth mouse button.

  - Value: `4096`
  - Nickname: `button5-mask`
  - Available since: 4.0
`GDK_SUPER_MASK`

  The Super modifier.

  - Value: `67108864`
  - Nickname: `super-mask`
  - Available since: 4.0
`GDK_HYPER_MASK`

  The Hyper modifier.

  - Value: `134217728`
  - Nickname: `hyper-mask`
  - Available since: 4.0
`GDK_META_MASK`

  The Meta modifier.

  - Value: `268435456`
  - Nickname: `meta-mask`
  - Available since: 4.0